For Developers

Get Company

GET https://ed.link/api/v2/companies/:company_id

Retrieve a public Company and its immediate child companies.

You must provide an application's publishable key (pk_...) as a bearer token to access this endpoint.

Request Parameters

ParameterTypeDescription
company_idstringThe UUID of the desired Company.

The response includes the requested company with its addresses populated, along with any companies that are direct children of it in the public dataset. Each child company also includes its addresses.

Sample Request

axios.get('https://ed.link/api/v2/companies/00000000-0000-0000-0000-000000000000', {
    headers: {
        authorization: `Bearer ${publishable_key}`
    }
});

Sample Response

{
    "$data": {
        "company": {
            "id": "00000000-0000-0000-0000-000000000000",
            "name": "Acme Group",
            "website": "https://acme.example.com",
            "description": "A parent company for educational technology brands.",
            "logo": null,
            "addresses": [
                {
                    "id": "22222222-2222-2222-2222-222222222222",
                    "type": "headquarters",
                    "street": "100 Market Street",
                    "unit": "Suite 400",
                    "postal_code": "94105",
                    "city": "San Francisco",
                    "state": "CA",
                    "country": "US",
                    "latitude": 37.7897,
                    "longitude": -122.3972
                }
            ]
        },
        "children": [
            {
                "id": "44444444-4444-4444-4444-444444444444",
                "name": "Acme Learning",
                "website": "https://acme-learning.example.com",
                "description": "An educational technology company.",
                "logo": null,
                "addresses": [
                    {
                        "id": "33333333-3333-3333-3333-333333333333",
                        "type": "headquarters",
                        "street": "200 Innovation Drive",
                        "unit": null,
                        "postal_code": "94107",
                        "city": "San Francisco",
                        "state": "CA",
                        "country": "US",
                        "latitude": 37.7699,
                        "longitude": -122.3933
                    }
                ]
            },
            {
                "id": "55555555-5555-5555-5555-555555555555",
                "name": "Acme Publishing",
                "website": "https://acme-publishing.example.com",
                "description": null,
                "logo": null,
                "addresses": [
                    {
                        "id": "66666666-6666-6666-6666-666666666666",
                        "type": "headquarters",
                        "street": "300 Content Lane",
                        "unit": null,
                        "postal_code": "10001",
                        "city": "New York",
                        "state": "NY",
                        "country": "US",
                        "latitude": 40.7505,
                        "longitude": -73.9934
                    }
                ]
            }
        ]
    },
    "$request": "00000000-0000-0000-0000-000000000000"
}